GuideLab API

Create Automation

POST
/automations

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/automations" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "triggerType": "order_created"  }'
{  "automation": {    "id": "string",    "labId": "string",    "name": "string",    "description": "string",    "triggerType": "string",    "triggerConfig": {      "property1": null,      "property2": null    },    "flowDefinition": {      "property1": null,      "property2": null    },    "activeRevisionId": "string",    "archivedAt": "string",    "isActive": true,    "sortOrder": 0,    "createdAt": "string",    "updatedAt": "string"  }}
Empty
Empty